Save Style to DB (Postgres) error

2016-03-08 04:32 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22421

Description

When i want to save the style to the DB i get this error

Unable to save layer style. It's not possible to create the destination table on the database. Maybe this is due to table permissions

(user=mapuser). Please contact your database admin

History

#1 - 2016-03-16 09:27 AM - Maximilian Krambach

(context: properties of a postgis layer--> style --> save style  --> save style to database)

I can save the layer style here (ubuntu, QGIS 2.14.0). My user has all permissions. From a first glance, INSERT permission is needed in the postgres

database. If there is no "layer_styles" table, maybe "CREATE" is needed, as this table is created on the first run.

#2 - 2016-04-09 09:26 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

please check your permissions. Reopen of necessary.

#3 - 2016-07-06 02:13 AM - Carlo Bertelli

- Status changed from Closed to Reopened

On 2.14.3 I get the same error.

The error message is accurate, QGIS issues a CREATE TABLE statement even if the table is already there. Maybe this is due to the old version of

PostgreSQL, 8.4; beginning with version 9.1 you can issue a CREATE TABLE IF NOT EXISTS.

Anyway QGIS 2.8.9 saves and loads styles without errors.

#4 - 2016-07-06 05:23 AM - Giovanni Manghi

- Resolution deleted (invalid)

- Affected QGIS version changed from 2.12.3 to 2.14.3

- Category set to Symbology

#5 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
